imagedraw.hh File Reference
`#include <mia/3d/image.hh>`
Include dependency graph for imagedraw.hh:

Go to the source code of this file.

## Data Structures

class | C3DDrawBox
| base class for a 3D volume raster graphics draw target More...
class | T3DImageDrawTarget< T >
| implements T3DImage as a target for drawing operations More...

## Typedefs

typedef T3DImageDrawTarget< bool > | C3DBitImageDrawTarget
typedef T3DImageDrawTarget< double > | C3DDImageDrawTarget
typedef T3DImageDrawTarget< float > | C3DFImageDrawTarget
typedef T3DImageDrawTarget< signed char > | C3DSBImageDrawTarget
typedef T3DImageDrawTarget< signed int > | C3DSIImageDrawTarget
typedef T3DImageDrawTarget< signed short > | C3DSSImageDrawTarget
typedef T3DImageDrawTarget< unsigned char > | C3DUBImageDrawTarget
typedef T3DImageDrawTarget< unsigned int > | C3DUIImageDrawTarget
typedef T3DImageDrawTarget< unsigned short > | C3DUSImageDrawTarget

## Typedef Documentation

## C3DBitImageDrawTarget

typedef T3DImageDrawTarget<bool> C3DBitImageDrawTarget

Definition at line 122 of file imagedraw.hh.

## C3DDImageDrawTarget

typedef T3DImageDrawTarget<double> C3DDImageDrawTarget

Definition at line 130 of file imagedraw.hh.

## C3DFImageDrawTarget

typedef T3DImageDrawTarget<float> C3DFImageDrawTarget

Definition at line 129 of file imagedraw.hh.

## C3DSBImageDrawTarget

typedef T3DImageDrawTarget<signed char> C3DSBImageDrawTarget

Definition at line 124 of file imagedraw.hh.

## C3DSIImageDrawTarget

typedef T3DImageDrawTarget<signed int> C3DSIImageDrawTarget

Definition at line 128 of file imagedraw.hh.

## C3DSSImageDrawTarget

typedef T3DImageDrawTarget<signed short> C3DSSImageDrawTarget

Definition at line 126 of file imagedraw.hh.

## C3DUBImageDrawTarget

typedef T3DImageDrawTarget<unsigned char> C3DUBImageDrawTarget

Definition at line 123 of file imagedraw.hh.

## C3DUIImageDrawTarget

typedef T3DImageDrawTarget<unsigned int> C3DUIImageDrawTarget

Definition at line 127 of file imagedraw.hh.

## C3DUSImageDrawTarget

typedef T3DImageDrawTarget<unsigned short> C3DUSImageDrawTarget

Definition at line 125 of file imagedraw.hh.